return {
  'nvim-neorg/neorg',
  branch = 'main',
  dependencies = {
    'nvim-lua/plenary.nvim',
    'luarocks.nvim',
    {
      'nvim-neorg/neorg-telescope',
      branch = 'main'
    }
  },
  ft = 'norg',
  cmd = 'Neorg',
  config = function()
    require('neorg').setup {
      load = {
        ['core.defaults'] = {},  -- Loads default behaviour
        ['core.export'] = {},    -- Loads default behaviour
        ['core.concealer'] = {}, -- Adds pretty icons to your documents
        ['core.completion'] = {
          config = {
            engine = 'nvim-cmp' }
        },                  -- Adds pretty icons to your documents
        ['core.dirman'] = { -- Manages Neorg workspaces
          config = {
            workspaces = {
              notes = '~/notes',
            },
          },
        },
        ['core.itero'] = {},
        ['core.promo'] = {},
        ['core.export.markdown'] = {},
        ['core.integrations.telescope'] = {},
      },
    }
  end,
}
